@import url('https://fonts.googleapis.com/css2?family=Azeret+Mono:ital,wght@0,100..900;1,100..900&display=swap');


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Azeret Mono", monospace;
}
html{
    scroll-behavior: smooth;
}
nav{
    width: 1124px;
    height: 131px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;

}
nav p{
    color: rgb(13, 19, 33);
font-size: 28px;
font-weight: 800;
line-height: 33px;
}
nav button{
    padding: 17px 24px;
    border: 2px solid gray;
    border-radius: 8px;
}
nav button a{
    text-decoration: none;
    color: black;
    
}
.banner-container{
    max-width: 100%;;
    margin: 0 auto;
    height: 652px;
    border: 2px solid gray;
    border-style: dashed;
    background-image: url("assets/Hero-bg.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
}
.banner-content{
    max-width: 998px;
    height: 582px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}
.banner-content img{
    width: 240px;
    height: 240px;
    margin-top: 26px;
    margin-bottom: 33px;
}
.banner-content h2{
    color: rgb(13, 19, 33);
    font-size: 38px;
    font-weight: 800;
    line-height: 68px;
    margin-bottom: 16px;
    
}
.banner-content p{
    color: rgb(13, 19, 33);
    font-size: 16px;
    font-weight: 400;
    line-height: 26px;
    opacity: 0.7;
    margin-bottom: 22px;
}
.banner-content button{
    padding: 21px 24px;
    border: none;
    cursor: pointer;
    border-radius: 8px;
    background: rgb(13, 19, 33);
    font-size: 20px;
    font-weight: 600;

}
.banner-content button > a{
    text-decoration: none;
    color: white;
}


/* why-dev section styles here */

.why-dev-container{
    background-color: #fafafb;
    max-width: 1140px;
    height: 1393px;
    padding: 80px;
    margin: 0 auto;
    margin-bottom: 90px;
    display: flex;
    margin-top: 64px;
    flex-direction: column;
    text-align: center;
    align-items: center;
    border-radius: 16px;
    background: rgba(13, 19, 33, 0.02);
}
.why-title h3{
    color: rgb(13, 19, 33);
    font-size: 32px;
    font-weight: 800;
    line-height: 37px;
    margin-bottom: 24px;
}
.why-title p{
    color: rgb(13, 19, 33);
    font-size: 16px;
    margin-bottom: 48px;
    font-weight: 400;
    line-height: 26px;
    opacity: 0.7;
}
.why-description{
    width: 946px;
    height: 336px;
    margin: 0 auto;
    padding: 48px;
    border-radius: 16px;
    background: linear-gradient(90.00deg, rgb(255, 255, 255),rgba(255, 255, 255, 0) 100%);
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 32px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 5px 0px, rgba(0, 0, 0, 0.1) 0px 0px 1px 0px;


}
.des-text{
    width: 477px;
    height: 219px;
    text-align: left;
}
.des-img img{
    width: 259.56px;
    height: 217.01px;
}
.des-text h4{
    color: rgba(13, 19, 33, 0.7);
font-size: 24px;
font-weight: 700;
line-height: 36px;
margin-bottom: 16px;
}
.des-text p{
    color: rgb(13, 19, 33);
font-size: 16px;
font-weight: 400;
line-height: 26px;
margin-bottom: 32px;
opacity: 0.7;
}
.des-text button{
    padding: 12px 20px;
    cursor: pointer;
    box-sizing: border-box;
border: 1px solid rgb(13, 19, 33);
opacity: 0.7;
}

/* Inspiration styles here */

.inspiration-container{
    width: 1140px;
    height: 775px;
    margin: 0 auto;
}
.inspiration-description{
    width: 852px;
    height: 113px;
    margin: 0 auto;
    text-align: center;
}
.inspiration-description h3{
    color: rgb(13, 19, 33);
    font-size: 32px;
    font-weight: 800;
    line-height: 37px;
    margin-bottom: 24px;
}
.inspiration-description p{
    color: rgb(13, 19, 33);
    font-size: 16px;
    font-weight: 400;
    line-height: 26px;
    opacity:0.7 ;
    
}
.inspiration-video{
    margin-top: 48px;
    width: 100%;
    height: 614px;
    border-radius: 16px;
    display: flex;
    padding: 32px 32px;
    box-shadow: rgba(67, 71, 85, 0.27) 0px 0px 0.25em, rgba(90, 125, 188, 0.05) 0px 0.25em 1em;
    align-items: center;
}
.inspiration-video iframe{
    width: 1076px;
    height: 550px;
    margin: 0 auto;
    border-radius: 16px;

}

/* current target style here */
.current-target-container{
    width: 1140px;
    height: 460px;
    margin: 0 auto;
    margin-top: 151px;
}
.target-title{
    width: 946px;
    height: 113px;
    margin: 0 auto;
    text-align: center;
}
.target-title h3{
    color: rgb(13, 19, 33);
font-size: 32px;
font-weight: 800;
margin-bottom: 24px;
}
.target-title p{
    color: rgb(13, 19, 33);
font-size: 16px;
font-weight: 400;
opacity: 0.7;
}
.card-container{
    margin-top: 48px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    
}
.target-card{
    width: 364px;
    height: 299px;
    padding: 40px 40px;
    border-radius: 16px;
}
.target-card img{
    width: 56px;
    height: 56px;
}
.target-card h4{
    color: rgb(13, 19, 33);
font-size: 24px;
font-weight: 800;
line-height: 36px;
margin-bottom: 8px;
}
.target-card p{
    color: rgb(13, 19, 33);
font-size: 16px;
font-weight: 400;
line-height: 26px;
margin-bottom: 26px;
opacity: 0.7;
}
.target-card a{
    color: rgb(13, 19, 33);
font-size: 16px;
font-weight: 700;
line-height: 19px;
}
.pink{
    background-color:#fff6f4 ;
}
.purple{
    background-color:#f2f6fe ;
}
.yellow{
    background-color:#fffdf2 ;
}

/* I need support section starts here */
.support-container{
    width: 1140px;
    height: 313px;
    background-image: url("assets/handshake.jpg");
    background-color: rgba(0, 0, 0, 0.7);
    background-blend-mode: overlay;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 48px 48px;
    border-radius: 16px;
    margin-top: 49px;
    margin-bottom: 80px;
}
.support-content{
    width: 1144px;
    height: 185px;
    border-radius: 16px;
    margin: 0 auto;
    text-align: center;
    
}
.support-content h2{
    color: rgb(255, 255, 255);
font-size: 32px;
font-weight: 700;
line-height: 36px;
margin-bottom: 16px;

}
.support-content p{
    color: rgb(255, 255, 255);
font-size: 16px;
font-weight: 400;
margin-bottom: 24px;
opacity: 0.7;
}
.support-mail{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
}
.support-mail input{
    padding: 19px 20px 19px 20px;
    border: 1px solid rgba(13, 19, 33, 0.15);
    border-radius: 8px;
    background: rgb(255, 255, 255);
    width: 548px;
    height: 47px;
}
.support-mail button{
    border: none;
    cursor: pointer;
    padding: 17px 20px 17px 20px;
    border-radius: 8px;
    background: rgb(255, 255, 255);
    color: rgb(13, 19, 33);
    font-size: 16px;
    font-weight: 600;
}

/* footer section starts here */
footer{
    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    background: rgba(13, 19, 33, 0.03);
}
.footer-container{
    width: 1140px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    
}
.footer-container p{
    color: rgb(13, 19, 33);
font-size: 16px;
font-weight: 600;
line-height: 23px;
}
.social-icon{
    display: flex;
    gap: 24px;
}
.social-icon img{
    width: 36px;
    height: 36px;
}